6.0.0-git
2016-12-08

[#7212] Add -y/--yes option to all upgrade scripts, get rid of any that require editing $live
Summary Add -y/--yes option to all upgrade scripts, get rid of any that require editing $live
Queue Horde Base
Queue Version HEAD
Type Enhancement
State Accepted
Priority 1. Low
Owners
Requester chuck (at) horde (dot) org
Created 2008-08-17 (3035 days ago)
Due
Updated
Assigned
Resolved
Milestone
Patch No

History
2008-08-17 15:40:57 Chuck Hagenbuch Comment #1
Type ⇒ Enhancement
State ⇒ Accepted
Priority ⇒ 1. Low
Summary ⇒ Add -y/--yes option to all upgrade scripts, get rid of any that require editing $live
Queue ⇒ Horde Base
Milestone ⇒
Patch ⇒ No
Reply to this comment
To allow for more automated and friendly upgrades, we should get rid 
of any usage of "edit this script and set $live to true", and replace 
it with by default "are you sure" type prompts, that can be overridden 
with a -y/--yes command line switch to answer yes to all questions, 
allowing scripted runs (without expect).

Saved Queries